## python-rlpycairo 0.3.0

=== requirements.txt ===
reportlab>=3.5.60
pycairo>=1.20.0,<1.21

=== debian/changelog ===
python-rlpycairo (0.3.0-4) unstable; urgency=medium

  * replaced a call of rest_clip() by reset_clip(), as the previous made
    no sense [source of python3-cairo don't define Context.rest_clip()
    but they do define Context.reset_clip()]

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 06 Oct 2025 12:47:00 +0200

python-rlpycairo (0.3.0-3) unstable; urgency=medium

  * fixed Vcs-Git in debian/control

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 30 Sep 2023 14:43:36 +0200

python-rlpycairo (0.3.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 11 Jul 2023 15:50:49 +0200

python-rlpycairo (0.3.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1039935)

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 29 Jun 2023 16:08:12 +0200

=== debian/control ===
Source: python-rlpycairo
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://www.reportlab.com/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rlpycairo
Vcs-Git: https://salsa.debian.org/python-team/packages/python-rlpycairo.git

Package: python3-rlpycairo
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3,
 python3-freetype,
Description: plugin for the ReportLab PDF Toolkit.
 This is a plugin for the ReportLab PDF Toolkit.
 which constructs rich PDF documents, and also creation
 of charts in a variety of bitmap and vector formats.
 .
 This plugin is intended to replace most of the usage of the
 libart based C extension _renderPM which has been shown to
 have issues when rendering complex documents.
 .
 This backend can be brought into use by setting 
 reportlab.rl_config.renderPMBackend = 'rlPyCairo'
 any of the methods detailed in reportlab/rl_config.py
 can be used to accomplish this.
 .
 The new backend seems able to handle all the same behaviour as
 _renderPM and the only place where it seems inferior is in the
 rendering of scaled images and the speed with which it draws
 text.
 .
 At present the rlPyCairo backend only uses the _renderPM extension 
 to use its mapping of ReportLab font names to extract paths for
 rendering this is no doubt the reason for its slowness when
 rendering text.

=== debian/watch ===
version=4

# GitHub has most up-to-date files but no version tags... not finalized?
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/MrBitBucket/rlPyCairo-mirror/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

# PyPI has older published versions
https://pypi.debian.net/rlPyCairo/rlPyCairo-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
